[project]
name = "clannotation"
version = "0.0.18"
description = "The Crossref Labs annotation tool."
readme = "README.md"
requires-python = ">=3.8"
license = {file = "LICENSE.md"}
keywords = ["API", "Crossref", "annotation", "AWS", "Lambda"]
authors = [
  {email = "meve@crossref.org"},
  {name = "Martin Paul Eve"}
]
maintainers = [
  {name = "Martin Paul Eve", email = "meve@crossref.org"}
]
classifiers = [
  "Development Status :: 4 - Beta",
  "Programming Language :: Python"
]

dependencies = [
    "claws>=0.0.21",
    "aws-lambda-powertools[all]",
    "longsight>=1.0.5",
    "moto",
    "botocore"
]

[project.urls]
homepage = "https://labs.crossref.org"
documentation = "https://labs.crossref.org"
repository = "https://gitlab.com/crossref/labs/annotator"
changelog = "https://gitlab.com/crossref/labs/annotator/-/blob/main/CHANGELOG.md"

[build-system]
requires = ['setuptools>=40.8.0', 'wheel']
build-backend = 'setuptools.build_meta:__legacy__'
